Skip to main content
POST
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required
Required string length: 1 - 255

Body

application/json
sizes
enum<string>[]

VM sizes to build. Omit to use the project sizes. Cannot be combined with snapshotId.

Minimum array length: 1
Available options:
nano,
micro,
medium,
large,
xl,
xxl,
ultra
snapshotId
string

Rebuild one existing snapshot instead of building project sizes. Cannot be combined with sizes.

Required string length: 1 - 255

Response

Create a project build

jobIds
string[]
required
Minimum array length: 1
Required string length: 1 - 255